Loading...
Searching...
No Matches
AVD3D11FrameDescriptor Struct Reference

D3D11 frame descriptor for pool allocation. More...

`#include <libavutil/hwcontext_d3d11va.h>`

## Data Fields

ID3D11Texture2D * | texture
| The texture in which the frame is located.
intptr_t | index
| The index into the array texture element representing the frame, or 0 if the texture is not an array texture.

## Detailed Description

D3D11 frame descriptor for pool allocation.

In user-allocated pools, AVHWFramesContext.pool must return AVBufferRefs with the data pointer pointing at an object of this type describing the planes of the frame.

This has no use outside of custom allocation, and AVFrame AVBufferRef do not necessarily point to an instance of this struct.

Definition at line 123 of file hwcontext_d3d11va.h.

## Field Documentation

## texture

ID3D11Texture2D* AVD3D11FrameDescriptor::texture

The texture in which the frame is located.

The reference count is managed by the AVBufferRef, and destroying the reference will release the interface.

Normally stored in AVFrame.data[0].

Definition at line 131 of file hwcontext_d3d11va.h.

## index

intptr_t AVD3D11FrameDescriptor::index

The index into the array texture element representing the frame, or 0 if the texture is not an array texture.

Normally stored in AVFrame.data[1] (cast from intptr_t).

Definition at line 139 of file hwcontext_d3d11va.h.

The documentation for this struct was generated from the following file:

- libavutil/hwcontext_d3d11va.h